<?php

/**
 * Chill is a software for social workers.
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\CalendarBundle\Messenger\Handler;

use Chill\CalendarBundle\Messenger\Message\InviteUpdateMessage;
use Chill\CalendarBundle\RemoteCalendar\Connector\RemoteCalendarConnectorInterface;
use Chill\CalendarBundle\Repository\InviteRepository;
use Doctrine\ORM\EntityManagerInterface;
use Symfony\Component\Messenger\Handler\MessageHandlerInterface;

/**
 * Sync the local invitation to the remote calendar.
 *
 * @AsMessageHandler
 */
class InviteUpdateHandler implements MessageHandlerInterface
{
    private EntityManagerInterface $em;

    private InviteRepository $inviteRepository;

    private RemoteCalendarConnectorInterface $remoteCalendarConnector;

    public function __construct(EntityManagerInterface $em, InviteRepository $inviteRepository, RemoteCalendarConnectorInterface $remoteCalendarConnector)
    {
        $this->em = $em;
        $this->inviteRepository = $inviteRepository;
        $this->remoteCalendarConnector = $remoteCalendarConnector;
    }

    public function __invoke(InviteUpdateMessage $inviteUpdateMessage): void
    {
        if (null === $invite = $this->inviteRepository->find($inviteUpdateMessage->getInviteId())) {
            return;
        }

        $this->remoteCalendarConnector->syncInvite($invite);

        $this->em->flush();
    }
}
