<?php

/**
 * Chill is a software for social workers.
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\CalendarBundle\RemoteCalendar\Model;

use DateTimeImmutable;
use Symfony\Component\Serializer\Annotation as Serializer;

class RemoteEvent
{
    public string $description;

    /**
     * @Serializer\Groups({"read"})
     */
    public DateTimeImmutable $endDate;

    /**
     * @Serializer\Groups({"read"})
     */
    public string $id;

    /**
     * @Serializer\Groups({"read"})
     */
    public bool $isAllDay;

    /**
     * @Serializer\Groups({"read"})
     */
    public DateTimeImmutable $startDate;

    /**
     * @Serializer\Groups({"read"})
     */
    public string $title;

    public function __construct(string $id, string $title, string $description, DateTimeImmutable $startDate, DateTimeImmutable $endDate, bool $isAllDay = false)
    {
        $this->id = $id;
        $this->title = $title;
        $this->description = $description;
        $this->startDate = $startDate;
        $this->endDate = $endDate;
        $this->isAllDay = $isAllDay;
    }
}
