<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\DocGeneratorBundle\Service\Generator;

use RuntimeException;
use Throwable;

class GeneratorException extends RuntimeException
{
    /**
     * @var list<string>
     */
    private array $errors;

    public function __construct(array $errors = [], ?Throwable $previous = null)
    {
        $this->errors = $errors;
        parent::__construct(
            'Could not generate the document',
            15252,
            $previous
        );
    }

    /**
     * @return array
     */
    public function getErrors(): array
    {
        return $this->errors;
    }
}
