<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\MainBundle\Entity\GeographicalUnit;

/**
 * Simple GeographialUnit Data Transfer Object.
 *
 * This allow to get access to id, unitName, unitRefId, and layer's id
 */
class SimpleGeographicalUnitDTO
{
    /**
     * @readonly
     * @psalm-readonly
     */
    public int $id;

    /**
     * @readonly
     * @psalm-readonly
     */
    public int $layerId;

    /**
     * @readonly
     * @psalm-readonly
     */
    public string $unitName;

    /**
     * @readonly
     * @psalm-readonly
     */
    public string $unitRefId;

    public function __construct(int $id, string $unitName, string $unitRefId, int $layerId)
    {
        $this->id = $id;
        $this->unitName = $unitName;
        $this->unitRefId = $unitRefId;
        $this->layerId = $layerId;
    }
}
